package com.me.pacman.entity;

import com.badlogic.gdx.math.Vector2;

public enum Direction {

    UP,
    DOWN,
    LEFT,
    RIGHT,
    ;

    public boolean isOpposite(Direction dir) {
        switch (this) {
            case UP:
                return dir == DOWN;
            case DOWN:
                return dir == UP;
            case LEFT:
                return dir == RIGHT;
            case RIGHT:
                return dir == LEFT;
        }
        return false;
    }

    public Vector2 getVector(float scale) {
        switch (this) {
            case UP:
                return new Vector2(0f, 1f * scale);
            case DOWN:
                return new Vector2(0f, -1f * scale);
            case LEFT:
                return new Vector2(-1 * scale, 0f);
            case RIGHT:
                return new Vector2(1 * scale, 0f);
        }
        return null;
    }

    public Vector2 getVector() {
        return this.getVector(1f);
    }

}
