package com.me.pacman.entity.ai;

import com.badlogic.gdx.math.Vector2;

public class Target {

    public int x;
    public int y;

    public Target(int x, int y) {
        this.x = x;
        this.y = y;
    }

    public Target(float x, float y) {
        this.x = (int) x;
        this.y = (int) y;
    }

    public Target(Vector2 vector) {
        this(vector.x, vector.y);
    }

    public float distance_sqr(Vector2 vec) {
        float d_x = x - vec.x;
        float d_y = y - vec.y;
        // a^2 + b^2 = c^2. thanks pythagoras!
        return d_x * d_x + d_y * d_y;
    }

    public boolean targetReached(float x, float y) {
        return this.x == (int) x && this.y == (int) y;
    }

    public boolean targetReached(Vector2 vec) {
        return targetReached(vec.x, vec.y);
    }

}
