package com.me.pacman.state;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.me.pacman.PacDude;
import com.me.pacman.level.Level;

public class MenuState extends LevelState {

    private Texture levelBackground;
    private Texture logo;
    private BitmapFont font;

    public MenuState(PacDude game) {
        super(game);
    }

    @Override
    public void setup() {
        levelBackground = game.assets.getLevelBackground();
        logo = game.assets.getLogo();
        logo.setFilter(Texture.TextureFilter.Linear, Texture.TextureFilter.Linear);
        font = game.assets.getFont();

        level = new Level(game,"level");
    }

    @Override
    public void render() {
        game.batch.draw(levelBackground, 0, 16);
        level.render(0, 16);
        game.batch.draw(logo, 0, 124, 224, 120);
    }

    @Override
    public void update(float dt) {

    }

}
